JBoss API: Class ConnectorFactoryImpl.ConnectorName

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.client
Class ConnectorFactoryImpl.ConnectorName

    java.lang.Object
      |
      +--org.jboss.jmx.client.ConnectorFactoryImpl.ConnectorName

Enclosing class:
  ConnectorFactoryImpl

public static class ConnectorFactoryImpl.ConnectorName
extends java.lang.Object

Container for a JMX Connector representation

Author:
  Andreas "Mad" Schaefer (andreas.schaefer@madplanet.com)

Constructor Summary
`ConnectorFactoryImpl.ConnectorName(java.lang.String pServer, java.lang.String pProtocol, java.lang.String pJNDIName)` Creates a Connector Name instance

Method Summary
`java.lang.String` | `getJNDIName()`
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getServer()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectorFactoryImpl.ConnectorName

    public ConnectorFactoryImpl.ConnectorName(java.lang.String pServer,
                                              java.lang.String pProtocol,
                                              java.lang.String pJNDIName)

  Creates a Connector Name instance
  Parameters:
    `pServer` - Name of the Server the JMX Connector is registered at
    `pProtocol` - Name of the Protocol the JMX Connector supports
    `pJNDIName` - JNDI Name the JMX Connector can be found

Method Detail

### getServer

    public java.lang.String getServer()

  Returns:
    Name of the Server the JMX Connector is registered at

### getProtocol

    public java.lang.String getProtocol()

  Returns:
    Name of the Protocol the JMX Connector supports

### getJNDIName

    public java.lang.String getJNDIName()

  Returns:
    JNDI Name the JMX Connector can be found

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Debug information about this instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.